Name:    varnish-modules
Version: 0.12.1
Release: 1%{?dist}
Summary: A collection of modules ("vmods") extending Varnish VCL

Group:   System Environment/Daemons
License: BSD
URL:     https://github.com/varnish/%{name}

Source0: https://download.varnish-software.com/varnish-modules/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# Upstream issue 35, workspace_client is too small on 32bit
#Patch3:  varnish-modules-0.9.1-add_workspace_client_for_cookietest_on_32bit.patch

# Upstream issue 34, upstream commit 29be10d
#Patch4:  varnish-modules-0.9.1-fix_build_on_el5_git_29be10d.patch

BuildRequires: varnish-libs-devel 
BuildRequires: varnish
BuildRequires: pkgconfig
BuildRequires: make
BuildRequires: gcc
BuildRequires: python-docutils >= 0.6

Requires: varnishabi-6.0

Provides: vmod-cookie = %{version}-%{release}
Provides: vmod-vsthrottle = %{version}-%{release}
Provides: vmod-header = %{version}-%{release}
Provides: vmod-saintmode = %{version}-%{release}
Provides: vmod-softpurge = %{version}-%{release}
Provides: vmod-tcp = %{version}-%{release}
Provides: vmod-var = %{version}-%{release}
Provides: vmod-xkey = %{version}-%{release}


%description
This is a collection of modules ("vmods") extending Varnish VCL used
for describing HTTP request/response policies with additional
capabilities. This collection contains the following vmods (previously
kept individually): cookie, vsthrottle, header, saintmode, softpurge,
tcp, var, xkey

%prep
%setup -q

%build
%configure --disable-static \
           --docdir=%{?_pkgdocdir}%{!?_pkgdocdir:%{_docdir}/%{name}-%{version}}
make %{?_smp_mflags}

# Build man pages
pushd docs
for i in vmod*.rst; do
  rst2man -v "$i" "$(basename $i .rst).3";
  gzip "$(basename $i .rst).3";
done
popd

chmod 644 src/*.h
chmod 644 src/*.c
chmod 644 docs/*rst

%install
rm -rf %{buildroot}
make install DESTDIR=%{?buildroot} INSTALL="install -p"
find %{buildroot}/%{_libdir}/ -name '*.la' -exec rm -f {} ';'
rm %{buildroot}%{?_pkgdocdir}%{!?_pkgdocdir:%{_docdir}/%{name}-%{version}}/LICENSE
pushd docs
mkdir -p %{buildroot}%{_mandir}/man3
install -p -m 0644 *.3.gz %{buildroot}%{_mandir}/man3
popd

%check
make check


%files
%doc docs AUTHORS CHANGES.rst COPYING README.rst
%if 0%{?fedora} >= 17 || 0%{?rhel} >= 7
%license LICENSE
%else
%doc LICENSE
%endif
%{_libdir}/varnish/vmods/*
%{_mandir}/man3/*.3*


%changelog
* Wed May 31 2017 Ingvar Hagelund <ingvar@redpill-linpro.com> 0.12.1-1
- New uptream release
- Pull el5 support

* Mon Mar 20 2017 Ingvar Hagelund <ingvar@redpill-linpro.com> 0.11.0-1
- New upstream release

* Sat Sep 24 2016 Ingvar Hagelund <ingvar@redpill-linpro.com> 0.9.2-0.1.20160924gitdaa4f1d
- Upstream git checkout with support for varnish-5.0
- Removed patches that are included upstream
- el5 build fix

* Fri Aug 05 2016 Ingvar Hagelund <ingvar@redpill-linpro.com> 0.9.1-1
- New upstream release
- Build man pages, buildrequires python-docutils
- Added a patch for tests/cookie/08-overflow.vtc, upping workspace_client,
  the default is too small on 32bit
- Removed extra cflags for el5, fixed with patch from upstream
- Force readable docs and debug files, they tend to end up with mode 600

* Tue Apr 05 2016 Ingvar Hagelund <ingvar@redpill-linpro.com> 0.9.0-1
- First wrap for fedora
- Uses some old-style specfile components for el5 compatibility, including
  the usage of the BuildRoot header and cleaning the buildroot before install


